Ciao, sono un utente ubuntu da un po' di tempo ormai e da qualche giorno mi è "saltato" fuori questo errore che non mi permette di aggiornare i pacchetti: errore:BrokenCount>0. Io non saprei dire cosa sia quindi vi chiedo una mano. Grazie in anticipo.

Se vi può interessare sul mio computer ho installato ubuntu 17.04.

chiesto 15 Lug '17, 11:10

giosuelupato's gravatar image

giosuelupato
21127

1- Hai aggiunto qualche PPA/Repository esterno ad Ubuntu?

2- Digita nel terminale i comandi:

sudo apt update
sudo apt install -f

quindi copia/incolla tutto tu paste.ubuntu.com, premi Paste! e lascia il link alla pagina in un commento qui sotto.

(15 Lug '17, 12:01) alevipri alevipri's gravatar image

Quale errore ti segnia se provi installare pacchetti?

(15 Lug '17, 15:05) gianluca70 gianluca70's gravatar image

sudo apt update: http://paste.ubuntu.com/25096357/ sudo apt install -f : E: dpkg è stato interrotto. È necessario eseguire "sudo dpkg --configure -a" per correggere il problema.

(15 Lug '17, 15:52) giosuelupato giosuelupato's gravatar image

dopo aver fatto come mi aveva detto il terminale ho rilanciato il comando "sudo apt install -f" e il risultato è questo: http://paste.ubuntu.com/25096434/

(15 Lug '17, 16:01) giosuelupato giosuelupato's gravatar image

Adesso mi è sparito l'errore comunque. Grazie mille!!

(15 Lug '17, 16:09) giosuelupato giosuelupato's gravatar image

Magnifico, ora dovresti aggiornare tutti i pacchetti del sistema, puoi farlo con lo strumento Aggiornamenti Software, oppure da terminale digitando:

sudo apt full-upgrade

Ricordati ci segnare come corretta la risposta (simbolo di spunta "v" a sinistra della stessa) ;)
Ciao!

(15 Lug '17, 16:40) alevipri alevipri's gravatar image

Per risolvere il problema è stato necessario digitare nel terminale i comandi:

sudo apt update
sudo apt install -f

Poiché il secondo comando è stato interrotto, si è reso necessario eseguire:

sudo dpkg --configure -a

quindi ripetere il comando:

sudo apt install -f

il quale ha installato le dipendenze che erano rimaste irrisolte.
Fatto questo, è possibile installare tutti gli aggiornamenti mancanti tramite il programma Aggiornamenti software oppure tramite terminale, digitando il comando:

sudo apt full-upgrade
coll. permanente

ha risposto 15 Lug '17, 16:45

alevipri's gravatar image

alevipri
5.5k2479

La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×170
×130
×95

domanda posta: 15 Lug '17, 11:10

domanda visualizzata: 817 volte

ultimo aggiornamento: 15 Lug '17, 16:46

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.